Bug 998673 - Thread Pool keepalive-time-unit needs to define allowed values so the user doesn't have to guess
Thread Pool keepalive-time-unit needs to define allowed values so the user do...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity medium
: ER02
: JON 3.3.0
Assigned To: Stefan Negrea
Filip Brychta
:
Depends On:
Blocks: 824818
  Show dependency treegraph
 
Reported: 2013-08-19 14:32 EDT by Larry O'Leary
Modified: 2014-12-11 09:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A deficiency in the JON UI concerning the allowed values of the keepalive-time unit caused confusion for customers when trying to configure the keepalive-time correctly. The keepalive-time unit field now replaces the previous free-text field with predefined, supported units of measure drop down. Customers can now confidently set the keepalive-time precision easily, without trying to convert a number to the correct unit of measure.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:00:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 457613 None None None Never

  None (edit)
Description Larry O'Leary 2013-08-19 14:32:18 EDT
Description of problem:
There is no guidance for the allowed values when specifying the keepalive-time unit. The unit field should be converted to a drop-down that provides the supported values:

    NANOSECONDS
    MILLISECONDS
    SECONDS
    MINUTES
    HOURS
    DAYS

Version-Release number of selected component (if applicable):
4.4.0.JON312GA

How reproducible:
Always

Steps to Reproduce:
1. Attempt to create a thread pool of any type
2. Specify a Keepalive Time.

Actual results:
Keepalive Time Unit field allows any input without guidance on what is expected/required.

Expected results:
Keepalive Time Unit should be a drop-down containing the valid values for this field.

Additional info:
This appears to have been partially captured in bug 825384 but not addressed. It is not clear why we didn't actually address this with some kind of UI feedback to the user. The UI supports drop-down lists and it supports descriptions. It seems that this is something that we should have handled in the first place.
Comment 1 Thomas Segismont 2014-08-30 06:19:09 EDT
Merged into release/jon3.3.x

commit 349b90e6c475c56b2fbd2e4cc859a2a46120120d
Author: Stefan Negrea <snegrea@redhat.com>
Date:   Thu Aug 28 15:08:09 2014 -0500
    
    (cherry picked from commit 7bef780cf4a014e2734e358c46df1f00d1b6a818)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>
Comment 2 Stefan Negrea 2014-09-02 11:32:07 EDT
Switched the time unit field from free text to the option set described above by Larry.
Comment 3 Simeon Pinder 2014-09-03 16:31:29 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194
Comment 4 Filip Brychta 2014-09-10 05:40:18 EDT
Verified on
Version :	
3.3.0.ER02
Build Number :	
4fbb183:7da54e2

Note You need to log in before you can comment on or make changes to this bug.